Forum Replies Created

Viewing 7 posts - 1 through 7 (of 7 total)
  • Author
    Posts
  • in reply to: view and window; height and width #1191

    Cornel
    Participant

    Upload image test. I congratulate you for your effort is appreciated, with sympathy.

    Attachments:
    in reply to: view and window; height and width #1168

    Cornel
    Participant

    I do this example to work. The height and width can not use viewer.

    Sub CATMain_for_Viewer3D()
    Dim myViewer3D As Viewer3D
    Set myViewer3D = CATIA.ActiveWindow.ActiveViewer
    Dim H, W As String
    H = myViewer3D.Height
    W = myViewer3D.Width
    myViewer3D.Height = “500”
    myViewer3D.Width = “500”
    Dim objViewer3D As Viewer3D
    Set objViewer3D = CATIA.ActiveWindow.ActiveViewer
    objViewer3D.CaptureToFile catCaptureFormatJPEG, “C:\Users\Cornel Florea\Desktop\myPicture.jpg”
    End Sub

    in reply to: References to Geometry #1105

    Cornel
    Participant

    Hi! I want public your answer on the forum. Now it is more clear to me this exercise. Thank you very much.

    Sub CATMain()

    ‘activedocument must be a catpart
    Dim partdoc1 As Document
    Set partdoc1 = CATIA.ActiveDocument

    Dim part1 As Part
    Set part1 = partdoc1.part

    Dim hsf1 As Factory
    Set hsf1 = part1.HybridShapeFactory

    Dim myPoint As HybridShapePointCoord
    Set myPoint = hsf1.AddNewPointCoord(1.000000,0.000000,0.000000)

    MyPoint.Name=”Point.999″
    Dim Ref As Reference
    Set ref=part1.CreateReferenceFromGeometry (MyPoint)
    MsgBox (Ref.DisplayName)

    End Sub

    in reply to: How identification number of Face?! #1085

    Cornel
    Participant

    Now is OK!
    I have found this information in helpful, examples of creating face-names for a Pad:

    Bottom (LIM2) Face:(Brp:(Pad.1;1);None:())
    Top (LIM1) Face:(Brp:(Pad.1;2);None:())
    Side 1 Face:(Brp:(Pad.1;0:(Brp:(Sketch.1;1)));None:())
    Side 2 Face:(Brp:(Pad.1;0:(Brp:(Sketch.1;2)));None:())
    Side 3 Face:(Brp:(Pad.1;0:(Brp:(Sketch.1;3)));None:())
    Side 4 Face:(Brp:(Pad.1;0:(Brp:(Sketch.1;4)));None:())

    But this question remains: on this forum I can attach the pictures? For a better understanding.

    in reply to: Readin Data Text #1079

    Cornel
    Participant

    Hello, thank you very much for your answer.

    in reply to: Readin Data Text #1077

    Cornel
    Participant

    I want all data to be read in the TestFile and displayed in a window, row by row.
    TestFile defined as object are needs a path?
    How to write this path for TestFile? TestFile is saved in a specific location?
    It is a text file with *.txt extension (TestFile.txt) ?!

    in reply to: Introduce Yourself #1062

    Cornel
    Participant

    Dear Emmett. I am a mechanical engineer. I recently bought the book “Catia V5 Macro Programming, Dieter R. Ziethen” I want to learn programming. I live in Romania.
    I hope to release interesting and challenging themes forum. Thank you.

Viewing 7 posts - 1 through 7 (of 7 total)